Skip to Content
inclamoDocs

Add a New Agent

POST
/api/v1/accounts/{account_id}/agents

Add a new Agent to Account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Request Body

application/json
  1. body
name*string

Full Name of the agent

email*string

Email of the Agent

role*string

Whether its administrator or agent

Value in"agent""administrator"
availability?string

The configured availability of the agent.

Value in"online""busy""offline"
auto_offline?boolean

Whether the agent is automatically marked offline when they are away.

Response Body

Success

application/json
  1. response
id?integer
account_id?integer
availability_status?string

The effective availability status of the agent, derived from the configured availability, auto-offline setting, and current presence. To update an agent's configured availability, use the availability field in create or update requests.

Value in"online""busy""offline"
auto_offline?boolean

Whether the agent is automatically marked offline when they are away.

confirmed?boolean

Whether the agent has confirmed their email address.

email?string

The email of the agent

available_name?string

The available name of the agent

name?string

The name of the agent

role?string

The role of the agent

Value in"agent""administrator"
thumbnail?string

The thumbnail of the agent

custom_role_id?|

The custom role id of the agent

Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/agents' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "email": "string",  "role": "agent"}'
Example Response
{  "id": 0,  "account_id": 0,  "availability_status": "online",  "auto_offline": true,  "confirmed": true,  "email": "string",  "available_name": "string",  "name": "string",  "role": "agent",  "thumbnail": "string",  "custom_role_id": 0}